/* --------- common --------- */
:root {
    --white900: rgba(255, 255, 255, .9);
    --white800: rgba(255, 255, 255, .8);
    --white700: rgba(255, 255, 255, .7);
}

html {
    scroll-behavior: smooth;
    scroll-padding-top: 90px;
}

main {
    padding-block: 30px 390px;
}

.content-inner {
    width: calc(100vw - 2.78vw - 246px);
    margin-inline: 2.78vw auto;
}

/* --------- mv --------- */
.mv {
    margin-bottom: 94px;
    color: #fff;
}

.mv__ttl--en {
    width: fit-content;
    font-size: 120px;
    font-weight: 700;
    font-family: var(--font-lato);
    line-height: 1;
    margin-bottom: 8px;
    position: relative;
}

.archive .mv__ttl--en {
    &::before {
        content: "";
        display: block;
        position: absolute;
        inset: 0;
        background: var(--background);
        scale: 1 1;
    }

    &::after {
        content: "";
        display: block;
        position: absolute;
        inset: 0;
        background: var(--bud-gradient);
        scale: 0 1;
    }
}

.mv--single {
    margin-bottom: 230px;

    .mv__ttl-wrapper {
        display: flex;
        align-items: center;
        gap: 35px;
    }

    .mv__ttl--en {
        font-size: 50px;
    }
}

.loaded {
    .archive {
        .mv__ttl--en::before {
            animation: mask--background 0.7s cubic-bezier(0.6, 0, 0.6, 1) 0.2s forwards;
        }
        
        .mv__ttl--en::after {
            animation: mask--gradient 0.7s cubic-bezier(0.6, 0, 0.6, 1) 0.2s forwards;
        }
    }
}

.mv__ttl--ja {
    font-size: 15px;
    font-weight: 700;
    line-height: 1.33;

    &::before {
        content: "";
        display: inline-block;
        width: 30px;
        height: 1px;
        background: var(--bud-gradient);
        vertical-align: 6px;
        margin-right: 9px;
    }
}

.mv__catch {
    font-size: 45px;
    font-weight: 700;
    line-height: 1.56;
    letter-spacing: 0.005em;
    margin-bottom: 43px;
}

.mv__catch__row {
    background: linear-gradient(to right, #fff, #fff) no-repeat left bottom 3px/100% 2px;
}

.mv__txt {
    font-size: 18px;
    line-height: 1.67;
}

/* ------ animation ------ */
@keyframes mask--background {
    0% {
        scale: 1 1;
        transform-origin: left center;
    }

    49% {
        transform-origin: left center;
    }

    50% {
        scale: 1 1;
        transform-origin: center center;
    }

    51% {
        transform-origin: right center;
    }

    100% {
        scale: 0 1;
        transform-origin: right center;
    }
}

@keyframes mask--gradient {
    0% {
        scale: 0 1;
        transform-origin: left center;
    }

    49% {
        transform-origin: left center;
    }

    50% {
        scale: 1 1;
        transform-origin: center center;
    }

    51% {
        transform-origin: right center;
    }

    100% {
        scale: 0 1;
        transform-origin: right center;
    }
}

/* --------- categories --------- */
.categories {
    display: grid;
    gap: 18px;
    margin-bottom: 111px;
}

.categories__ttl {
    display: flex;
    gap: 10px;
    align-items: center;
    color: #fff;
    font-family: var(--font-lato);
    font-size: 20px;
    font-weight: 700;

    &::before {
        content: '';
        display: block;
        width: 5px;
        height: 5px;
        border-radius: 50%;
        background: var(--bud-gradient);
    }
}

.categories__list {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}

.categories__item {
    :is(a, span) {
        display: block;
        padding: 6px 19px 7px;
        color: #fff;
        font-size: 13px;
        line-height: 1;
        border: 1px solid #fff;
        border-radius: 100px;
    }

    :is(a.current, span) {
        padding: 7px 20px 8px;
        color: var(--background);
        background: var(--bud-gradient);
        border: none;
        cursor: default;
        pointer-events: none;
    }

    a:not(.current) {
        transition: color .3s, background .3s;

        &:hover {
            color: var(--background);
            background: #fff;
        }
    }
}

/* --------- article__categories / tags / published / modified --------- */
.article__categories {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;

    a {
        display: block;
        position: relative;
        z-index: 2;
        padding: 7px 15px;
        color: #fff;
        font-size: 10px;
        line-height: 1;
        border-radius: 10vh;
        background-color: var(--gray);
        transition: color .3s, background .3s;

        &:hover {
            color: var(--background);
            background: #fff;
        }
    }
}

.article__tags {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;

    a {
        display: block;
        position: relative;
        z-index: 2;
        color: #fff;
        font-size: 10px;
        line-height: 1;

        &:hover {
            text-decoration: underline;
        }
    }
}

.single .article__date {
    margin-top: -10px;
}

:is(.article__published, .article__modified) {
    color: var(--gray-txt);
    font-size: 11px;
}

/* --------- pagination --------- */
.page-numbers {
    display: flex;
    gap: 5px;
    justify-content: center;
}

.page-numbers {
    &:not(ul) {
        display: grid;
        place-content: center;
        width: 30px;
        height: 30px;
        color: #fff;
        font-family: var(--font-lato);
        font-size: 11px;
        line-height: 1;
        border-radius: 5px;
    }

    &:is(span:not(.dots)) {
        color: var(--background);
        background: var(--bud-gradient);
    }

    &:is(a):hover {
        background: var(--gray);
    }
}

@media (width<768px) {
    /* --------- common --------- */
    main {
        padding-block: 73px 279px;
    }

    .single .breadcrumbs {
        margin-bottom: 40px;
    }

    .content-inner {
        width: calc(100vw - 40px);
        margin-inline: auto;
    }

    /* --------- mv --------- */
    .mv {
        margin-bottom: 70px;
        color: #fff;
    }

    .mv__ttl--en {
        font-size: 45px;
        margin-bottom: 10px;
    }

    .mv__ttl--ja {
        font-size: 12px;
        line-height: 1.67;

        &::before {
            width: 20px;
            vertical-align: 5px;
            margin-right: 3px;
        }
    }

    .mv__catch {
        font-size: 25px;
        line-height: 1.6;
        margin-bottom: 29px;
    }

    .mv__txt {
        font-size: 14px;
        line-height: 1.79;
    }

    .mv--single {
        margin-bottom: 47px;

        .mv__ttl-wrapper {
            gap: 13px;
        }

        .mv__ttl--en {
            margin-bottom: 0;
            font-size: 18px;
        }
    }

    /* --------- article__categories / tags / published / modified --------- */
    :is(.article__published, .article__modified) {
        font-size: 10px;
    }
}